.panel, .flex-panel {
    position: relative;
    background-color: var(--background-color);
    color: var(--text-color);
    box-sizing: border-box;
}

.flex-panel {
    display: flex;
    flex-direction: column;
    height: 100%;

    &.border-panel:before {
        position: absolute;
        display: block;
        content: '';
        width: 3px;
        height: 100%;
        box-shadow: var(--panel-split);
        top: 0;
        left: 0;
        z-index: 899;
    }
}

.panel-body {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 0;

    overflow: hidden;
    min-height: 0;

    display: flex;
    flex-direction: column;
}
